2024-06-24  Werner Koch  <wk@gnupg.org>

	Release 3.0.1.
	+ commit c9e902705a50abaf532c9d24347dfd1f3b5779fb
	* src/libassuan.vers: Change to LIBASSUAN_2.0.

2024-06-18  Werner Koch  <wk@gnupg.org>

	Release 3.0.0.
	+ commit 0351ecfa4f35ad44684075abec153574986b11bd
	* configure.ac: Set LT age to zero because we really have an API
	change.  Note that Current was already bumped up.

	Add new socket flags "linger" and "reuseaddr".
	+ commit 87f92fe962ae77045d8ddea3ae88d57234c04533
	* src/assuan-socket.c (_assuan_sock_set_flag): Add new flags.
	(_assuan_sock_get_flag): Ditto.

2024-06-14  NIIBE Yutaka  <gniibe@fsij.org>

	Spell fix in gpg-error.m4 from GnuPG.
	+ commit 24f05d64f47523e40b6936f2fd208d34516ff9d5


2024-06-13  NIIBE Yutaka  <gniibe@fsij.org>

	m4: Update gpg-error.m4.
	+ commit 577c1cd80665989be2fee393148487d3dfef4278
	* m4/gpg-error.m4: Update from gpg-error master.

	libassuan.m4: Fix setting/using GPG_ERROR_CONFIG.
	+ commit db27c9489791baa8b2036191dce35e12f76af85d
	libassuan.m4 (_AM_PATH_GPGRT_CONFIG): Don't set GPG_ERROR_CONFIG and
	gpg_error_config_version.

2024-06-07  Werner Koch  <wk@gnupg.org>

	Always append the process identification to hello line.
	+ commit ee9167cc3501021761f91f3f00cab57b5719ecc0
	* src/assuan-listen.c (assuan_accept): Always append "process %i".

2024-05-14  NIIBE Yutaka  <gniibe@fsij.org>

	Fix the previous commit.
	+ commit c1bbbe8a26957db43a20e28cf28cfa8e147ef1f6


	m4: Include _AM_PATH_GPGRT_CONFIG definition.
	+ commit 1c27538e4626348b050e95c6f40c023850d41e58
	* src/libassuan.m4: Find gpgrt-config.

2023-10-28  Andre Heinecke  <aheinecke@gnupg.org>

	tests: Cleanup mention of removed variable.
	+ commit 6756482d2627f67437afb05d88a22f03c6bad07c
	* tests/Makefile.am (noinst_PROGRAMS): Remove w32cetools.

2023-09-01  NIIBE Yutaka  <gniibe@fsij.org>

	build: Change the default for --with-libtool-modification.
	+ commit 76816b1350c093ef98365db5a66ddb364d27dc28
	* configure.ac (--with-libtool-modification): default=never.

2023-08-16  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update libtool-patch.sed from libgpg-error.
	+ commit d63bf50dfe494114fd410153a3cba73a1dfd7503
	* build-aux/libtool-patch.sed: Fail with exit code 1,
	when it doesn't go well.

2023-08-08  NIIBE Yutaka  <gniibe@fsij.org>

	build: New configure option --with-libtool-modification.
	+ commit 9bb7a2a1a066b20022714b21ca2ae5ccb9d19d55
	* Makefile.am (EXTRA_DIST): Add build-aux/libtool-patch.sed.
	* build-aux/libtool-patch.sed: New.
	* configure.ac (--with-libtool-modification): New.
	* build-aux/ltmain.sh: Revert our own local modification.

2023-08-04  NIIBE Yutaka  <gniibe@fsij.org>

	Fix for v2 support: ASSUAN_REALLY_REQUIRE_V2_NPTH_SYSTEM_HOOKS.
	+ commit b975f9a3cc63ccd35a16a7d9465228e122462a8e
	* src/assuan.h.in (ASSUAN_REALLY_REQUIRE_V2_NPTH_SYSTEM_HOOKS):
	Rename.

2023-08-02  NIIBE Yutaka  <gniibe@fsij.org>

	New function: assuan_control.
	+ commit bb7aa0ebed7379275eba6ad1eec62da34505c7e4
	* src/assuan.c (assuan_control): New.
	* src/assuan.h.in (ASSUAN_CONTROL_REINIT_SYSCALL_CLAMP): New.
	(assuan_control): New.
	* src/libassuan.def (assuan_control): Add.
	* src/libassuan.vers (assuan_control): Add.

2023-07-26  NIIBE Yutaka  <gniibe@fsij.org>

	libassuan.m4: Allow use of libassuan 3 for API of version 2.
	+ commit 9ce1b41cc1fe94baf16a32bb444d4aa4fe2d58a3
	* src/libassuan.m4: API 3 is backward compatible to API 2.

2023-07-24  NIIBE Yutaka  <gniibe@fsij.org>

	Add new pipe functions to control its server process.
	+ commit bf25d0e39bdcff28dc690722b8defc21bebeeed3
	* src/assuan-pipe-connect.c (assuan_pipe_wait_server_termination)
	(assuan_pipe_kill_server): New.
	* src/assuan.h.in: Add new functions.
	* src/libassuan.def: Add symbols for those functions.
	* src/libassuan.vers: Likewise.
	* src/system-posix.c (__assuan_waitpid): Extend the semantics for
	OPTIONS.
	* src/system-w32.c (__assuan_waitpid): Likewise.

	socket: Don't call pre/post_syscall for bind.
	+ commit c14409b6b4eb7b914c41c7d7f67137e315c935d9
	* src/assuan-socket.c (_assuan_sock_bind): Don't call
	_assuan_pre_syscall and _assuan_post_syscall.

	build: Prepare release with API change.
	+ commit dd7e0c57e48c21b79ab553c38cfad9155f6ef7fb
	* configure.ac (LIBASSUAN_CONFIG_API_VERSION): Increment.
	(LIBASSUAN_LT_CURRENT): Increment for adding new interface.
	(LIBASSUAN_LT_AGE): Likewise.
	(LIBASSUAN_LT_REVISION): Reset to 0.

2023-07-21  NIIBE Yutaka  <gniibe@fsij.org>

	Update NEWS.
	+ commit c4687dbe1c2b99f96a315d8b2907ecac4fef6cbb


2023-07-20  NIIBE Yutaka  <gniibe@fsij.org>

	Expose assuan_sock_accept function.
	+ commit 782d5f8971eafdeeb7fdf6cc147482342b90f3b9


	Add _assuan_pre_syscall / _assuan_post_syscall to _assuan_sock_*.
	+ commit 703b4100a4162216314d3489fa9d3160c3aadeb5
	* src/assuan-socket.c (_assuan_sock_accept): Add _assuan_pre_syscall /
	_assuan_post_syscall.
	(_assuan_sock_bind): Likewise.

2023-07-19  NIIBE Yutaka  <gniibe@fsij.org>

	Support larger greeting message.
	+ commit 5de577417af189b65bc0b78e7274a0510421b2b5
	* src/assuan-listen.c (assuan_accept): Update the size.

2023-06-15  Werner Koch  <wk@gnupg.org>

	Flush data before clearing the confidential flag.
	+ commit 049b8001f163ebae1a44056989f06f489c59349d
	* src/context.c (assuan_end_confidential): Flush data.

2023-06-06  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Fix closing for non-socket HANDLE.
	+ commit 2f0232b15fdc5071e13a0f3595141cf813f4bfdf
	* src/system-w32.c (__assuan_close): Revert the change.

2023-06-01  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Fix hello_line parsing for fd passing.
	+ commit 592f6bb89ad160d81e5a658e45df590120df8b60
	* tests/fdpassing.c (server_socket): Test with comma in the hello
	line.

2023-05-31  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Always include process information in HELLO.
	+ commit c69578bc248ee18d3a35d33e0d18d17bebbe99b4
	* src/assuan-listen.c (assuan_accept): Supply process information
	when ctx->hello is avaliable, too.

	w32: Fix error return for sending fd.
	+ commit efccdb36ec338f3739e1ef3bb2ce0d2a04219566
	* src/system-w32.c (get_file_handle): Have a CTX to compose an error.
	(w32_fdpass_send): Check PROCESS_ID.
	Compose an error with _assuan_error.

2023-05-24  NIIBE Yutaka  <gniibe@fsij.org>

	Allow use of global system hooks with API version 2.
	+ commit 8d83aea214a17c8fff32bfb90eaa9870ea9630e2
	* src/libassuan.m4 (LIBASSUAN_API_REQUESTED): New.
	* src/assuan.h.in (ASSUAN_NO_GLOBAL_SYSTEM_HOOKS_ANY_MORE): New.
	(ASSUAN_SYSTEM_NPTH_IMPL, ASSUAN_SYSTEM_NPTH): Relax the condition.

2023-05-17  NIIBE Yutaka  <gniibe@fsij.org>

	doc: Update documentation for the method spawn and waitpid.
	+ commit af34d84651b684bb771501f8c493e193e5e65dbc


	w32: File handle passing to server is now supported.
	+ commit 316fae4401975e26d6b7e6b89534133c7b3df25c
	* configure.ac: Fix for MinGW.
	* src/assuan-buffer.c (assuan_sendfd): Fix runtime check.

	Don't use ASSUAN_INVALID_PID for assuan_pid_t value.
	+ commit 5d1cdaaa03c664fddbaff16c68e79fc6a248c59b
	* src/assuan.c (assuan_new_ext): Use -1.
	* src/client.c (_assuan_client_finish): Likewise.

	w32: Cleaner semantics for PID and Process handle.
	+ commit 6350f796fdd1c7519c35a9cd71b33b6dafc5ed3a
	* src/assuan-defs.h (struct assuan_context_s): Introduce SERVER_PROC
	member.  Clarify the use of PROCESS_ID and PID.
	Introduce assuan_pid_t for internal use of process id or handle.
	* src/assuan.h.in: Follow the change.
	* src/assuan.c (assuan_new_ext): Likewise.
	* src/client.c (_assuan_client_finish): Likewise.
	* src/assuan-pipe-connect.c (pipe_connect): Likewise.
	* src/server.c (_assuan_server_finish): Likewise.
	* src/system-posix.c: Likewise.
	* src/system-w32.c: Likewise.
	* src/system.c: Likewise.
	* src/assuan-pipe-server.c (assuan_init_pipe_server)
	[HAVE_W32_SYSTEM]: Exclude the use of _assuan_pipe_connect_pid.
	* src/assuan-socket-server.c (accept_connection_bottom)
	[HAVE_W32_SYSTEM]: Exclude the use of the member peercred.pid.
	* src/assuan-socket.c (_assuan_sock_check_nonce): Support Cygwin
	Unix domain emulation for having valid client process ID.
	* src/context.c (assuan_get_pid): Clarify the use cases.
	* src/posix-types.inc.h, src/w32-types.inc.h: Introduce assuan_pid_t.

2023-05-16  NIIBE Yutaka  <gniibe@fsij.org>

	Fix wrong return type for functions.
	+ commit 18edc4f89f9aa46a669031925176f241fd8d637f
	* src/system.c (_assuan_recvmsg, _assuan_sendmsg): Fix to int.
	(_assuan_waitpid): Fix to pid_t.

2023-05-12  NIIBE Yutaka  <gniibe@fsij.org>

	tests: Use -no-fast-install LDFLAGS for Windows.
	+ commit 69578137570956a31eaa5a9559dbcfbe6d9d9f23
	* tests/Makefile.am [HAVE_W32_SYSTEM] (AM_LDFLAGS): Conditionalize.

2023-05-11  NIIBE Yutaka  <gniibe@fsij.org>

	Deprecate ASSUAN_SYSTEM_NPTH.
	+ commit 9ecbd8e60c6904e72f7a22963dffb0016eab69b4
	* src/assuan.h.in: Introduce new configuration with
	ASSUAN_REALLY_REQUIRE_OLD_WAY_OF_SYSTEM_NPTH.

	Allow NULL for system_hooks.
	+ commit 1eb66efbdd7b0fd09fadbdd5d5650e6c2eae032e
	* src/system.c (_assuan_system_hooks_copy): Do nothing with SRC=NULL.

	Fix the previous commit.
	+ commit 620acf6fe3aa22f7b3c50734aade29a2dbe4ef6e
	* src/assuan.c (_assuan_pre_syscall): Call the pre_syscall_func
	function after get it.

	Fix calling gpgrt_get_syscall_clamp.
	+ commit 223cc95c188a9bbb97affb506116fcdd4ef312a2
	* src/assuan.c (assuan_new_ext): Move gpgrt_get_syscall_clamp to...
	(_assuan_pre_syscall): ... here.

	tests: Fix for POSIX machine.
	+ commit fb5d02d7660254d9b80aa64270f08f34693bed67
	* modified   tests/pipeconnect.c (cmd_cat): Ifdef-out W32.

2023-05-10  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Fix test header file for 64-bit Windows.
	+ commit 7191c125aca1c8cbaadf7a167b09035b9d8301ec
	* tests/common.h: Add for HAVE_W64_SYSTEM.

	w32: Fix pipeconnect test program for Windows.
	+ commit f2d829e3db0241fef527135c5d92540fa758f8dd
	* tests/pipeconnect.c: Fix for input_fd and output_fd.

	w32: Minor fixes for ifdef/endif for W32 and W64.
	+ commit 295e33465eaefaf4c79e9ee2128d8ad821bf7ec5
	* src/assuan-defs.h: Fix.
	* src/assuan-pipe-connect.c: Likewise.
	* src/assuan-socket-connect.c: Likewise.

	w32: Fix the semantics of sending FD, it's Windows HANDLE.
	+ commit 17055e1c995367e60f45ee73fa1a39e7a09efd59
	* src/assuan-handler.c (w32_handler_sendfd): It's Windows HANDLE.
	* src/system-w32.c (get_file_handle, w32_fdpass_send): Likewise.
	* tests/fdpassing.c (cmd_echo): Received FD is Windows HANDLE.
	(client): Use Windows HANDLE for assuan_sendfd.

2023-05-08  NIIBE Yutaka  <gniibe@fsij.org>

	Implement timeout in assuan_sock_connect_byname.
	+ commit 9110945ce625e4a668eeed6a00252b7851e6d4b6
	* src/assuan-socket.c (socks5_connect): Add new argument TIMEOUT in
	milliseconds.
	(_assuan_sock_connect): Follow the change.
	(_assuan_sock_connect_byname): Fourth argument is now TIMEOUT.
	(assuan_sock_connect_byname): Likewise.

2023-04-05  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update gpg-error.m4.
	+ commit 3d8195ebc5e3f48c004b3a7ec473e66166c58fe7
	* m4/gpg-error.m4: Update from libgpg-error master.

2023-01-04  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Fix assuan_socket_connect.
	+ commit e4e54fb4ba1b82f1cd08ea44ad4c48db4c236311
	* src/assuan-socket-connect.c (_assuan_connect_finalize): Don't set
	flags.is_socket here, since it's too late.
	(assuan_socket_connect_fd): Set flags.is_socket.
	(assuan_socket_connect): Set flags.is_socket, before _assuan_sock_new.

2022-11-18  Andre Heinecke  <aheinecke@gnupg.org>

	Fix make dist target.
	+ commit a720b6cc443a7d62a200c5ca3950098dad487361
	* tests/Makefile.am (EXTRA_DIST): Add fdpassing-socket.sh

2022-11-15  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Fix confusion between process ID and process HANDLE.
	+ commit 523e3cbfe29f5665ebfac205f1a6d88bf7a3df87
	* src/assuan-defs.h (struct assuan_context_s): Rename to process_id.
	* src/assuan-pipe-connect.c (initial_handshake): Fix variable name
	and access to the member field.
	* src/assuan-socket-connect.c (_assuan_connect_finalize): Likewise.
	* src/system-w32.c (get_file_handle): Likewise.
	(w32_fdpass_send): Likewise.

2022-11-09  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Have PROCESS_HANDLE in struct assuan_context_s.
	+ commit ba84b780df973ba7ca7f7c51fbd1b6d1a69b8c01
	* src/assuan-defs.h (struct assuan_context_s): Add process_handle
	field.  It's "int" instead of DWORD, because of getpid function.
	* src/assuan-pipe-connect.c (initial_handshake): Set ->process_handle,
	not override ->pid.
	* src/assuan-socket-connect.c (assuan_connect_finalize): Likewise.
	* src/system-w32.c (w32_fdpass_send): Use ->process_handle.

	tests: Use common code for Windows.
	+ commit 7e6f3f007d64b6b6b402c8459c8ba6b39289f4ff
	* tests/fdpassing.c (main): Get program name from ARGV.

2022-11-08  NIIBE Yutaka  <gniibe@fsij.org>

	tests: Add fdpassing-socket.sh script.
	+ commit 8962c1e774e716cde1a7afeaca86558e48960ab1
	* tests/Makefile.am (TESTS_ENVIRONMENT): Export EXEEXT.
	(test_programs): New.  Run pipeconnect for Windows, too.
	(check_SCRIPTS): New.
	(TESTS): Now, it's test_programs and check_SCRIPTS.
	(noinst_PROGRAMS): Not including check_SCRIPTS.
	(tests/fdpassing-socket.sh): New, to test socket connection.
	* tests/fdpassing.c: Include socket connection test.
	* tests/pipeconnect.c: Fix for Windows.

2022-11-07  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Support fd passing through socket.
	+ commit 3297e453aa0e371e14fd26e53f4a6f84e20c21d3
	* src/assuan-socket-connect.c (_assuan_connect_finalize): Use
	w32_fdpass_send.  Get peer's PID from the initial connection.
	* src/assuan-socket-server.c (assuan_init_socket_server): Use
	w32_fdpass_recv.

	w32: Support fd passing through pipe.
	+ commit a1f480468a3b41f3843833654c0b56c33552519c
	* src/assuan-pipe-connect.c (initial_handshake): Get peer's PID
	from the initial interaction.
	* src/assuan-pipe-server.c (assuan_init_pipe_server): Handle the case
	of FILEDES == NULL on Windows.
	* tests/Makefile.am [HAVE_W32_SYSTEM] (TESTS): Add fdpassing.
	* tests/fdpassing.c: Remove including sys/socket.h and sys/wait.h.
	(cmd_echo): Output to stder, as stdout is /dev/null.
	(main): Support Windows.

	Show the pid of listening process in the hello line.
	+ commit 07adf41f0f49233cc4842bad1e6d2fdc9dc431af
	* src/assuan-listen.c (assuan_accept): Use getpid instead of
	assuan_get_pid.

2022-11-04  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Support sendfd/recvfd through pipe connection.
	+ commit 870fdcf92e5991c0bb2e349a951aa8dd93b0e22f
	* src/assuan-defs.h (w32_fdpass_send, w32_fdpass_recv): New.
	* src/assuan-pipe-connect.c [HAVE_W32_SYSTEM] (pipe_connect): Set
	w32_fdpass_send.
	[!HAVE_W32_SYSTEM] (assuan_pipe_connect): Use socketpair_connect.
	* src/assuan-pipe-server.c
	[HAVE_W32_SYSTEM] (assuan_init_pipe_server): Set w32_fdpass_recv.
	* src/system-w32.c (get_file_handle): New.
	(w32_fdpass_send): New, using "SENDFD" internal command.
	(w32_fdpass_recv): New, using the result of "SENDFD" internal command.

	w32: Add SENDFD internal command.
	+ commit ce794a0a88a8dca11810ac79e6be6bf6b4e5326c
	* src/assuan-handler.c (w32_handler_sendfd): New.
	(std_cmd_table): Add the "SENDFD" command.

	client: Only call _assuan_waitpid when it's not socket.
	+ commit 27acee6a04dbc6d2b153387bc89d2f711ded9726
	* src/client.c (_assuan_client_finish): Check if it's socket.

2022-11-01  NIIBE Yutaka  <gniibe@fsij.org>

	build: Prefer gpgrt-config when available.
	+ commit d769ec2db2e0a89fe446fb90b3c4be8ec05abebd
	* src/libassuan.m4: Overriding the decision by
	--with-libassuan-prefix, use gpgrt-config libassuan when
	gpgrt-config is available.

2022-10-25  Andre Heinecke  <aheinecke@gnupg.org>

	w32: Fix make dist.
	+ commit 62547ec2497105bf95e7755ed88f996353539789
	* src/Makefile.am (parts_of_assuan_h): Readd w32-includes.h

2022-10-24  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update gpg-error.m4.
	+ commit 0c22952c71bd44d39f3b91546bec5297be6de071
	* m4/gpg-error.m4: Update from libgpg-error 1.46.

2022-10-12  NIIBE Yutaka  <gniibe@fsij.org>

	build: Remove WindowsCE support from mkheader.
	+ commit df6aec566ce450e4e0702e4784569642f2bc6703
	* src/assuan.h.in (@include:sys/types.h@, @include:unistd.h@): Simply
	include <sys/types.h> and <unistd.h>.
	(@include:w32ce-add@): Remove.
	* src/mkheader.c (write_special): Remove mingw32ce support.

2022-09-08  NIIBE Yutaka  <gniibe@fsij.org>

	Silence compiler warnings.
	+ commit 6bc8a106c4bd6c1e3a4ad834331eb24431868beb
	* src/assuan-socket.c (assuan_sock_init): It's no args.
	(assuan_sock_deinit): Likewise.

2022-08-31  NIIBE Yutaka  <gniibe@fsij.org>

	Drop WindowsCE support.
	+ commit e3b1e3857e00c6e8216e953b0b38f4dcda00cd53
	* contrib/*: Remove.
	* Makefile.am (EXTRA_DIST): Don't include contrib/.
	* configure.ac (HAVE_W32CE_SYSTEM): Remove.
	* src/gpgcedev.c: Remove.
	* src/gpgcedev.def: Remove.
	* src/gpgcemgr.c: Remove.
	* src/system-w32ce.c: Remove.
	* src/w32ce-add.h: Remove.
	* src/w32ce-fd-t.inc.h: Remove.
	* src/Makefile.am (EXTRA_DIST, parts_of_assuan_h, common_sources): Fix.
	* src/assuan-buffer.c [HAVE_W32CE_SYSTEM]: No conditionalize.
	* src/setenv.c [HAVE_W32CE_SYSTEM]: Likewise.
	* src/assuan-defs.h [HAVE_W32CE_SYSTEM]: Remove dependent part.
	* src/assuan-error.c [HAVE_W32CE_SYSTEM]: Likewise.
	* src/assuan-handler.c [HAVE_W32CE_SYSTEM]: Likewise.
	* src/assuan-socket.c [HAVE_W32CE_SYSTEM]: Likewise.
	* src/system.c [HAVE_W32CE_SYSTEM]: Likewise.
	* src/sysutils.c [HAVE_W32CE_SYSTEM]: Likewise.
	* tests/Makefile.am (EXTRA_DIST): Fix.
	(w32cetools): Remove.
	* tests/common.h [HAVE_W32CE_SYSTEM]: Remove dependent part.
	* tests/pipeconnect.c [HAVE_W32CE_SYSTEM]: Likewise.
	* tests/ce-createpipe.c: Remove.
	* tests/ce-server.c: Remove.

2022-07-19  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update config.guess, config.sub, and config.rpath.
	+ commit 6da6a3df3c98552c710616d40e245467c3fe675c
	* build-aux/config.guess: Update from upstream.
	* build-aux/config.sub: Ditto.
	* build-aux/config.rpath: Update from gettext 0.21.

2022-06-28  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update gpg-error.m4.
	+ commit 3156f29a797d91158187353edbafe0c967bd0b6d
	* m4/gpg-error.m4: Update from libgpg-error.

2022-06-20  NIIBE Yutaka  <gniibe@fsij.org>

	Don't access NULL by wipememory.
	+ commit 97516d6c24b9266124172276515253aee128a76f
	* src/assuan-inquire.c (assuan_inquire): Check mb->buf.

2022-06-08  Jakub Jelen  <jjelen@redhat.com>

	tests: Remove dead code.
	+ commit 2e310bb10e33f655f9b920b94809d40633641961
	* tests/socks5.c (main): Unsigned value is always larger than 0

	config: Remove 18 years unused variable.
	+ commit 850f404ef079eb5ce7907612ba93ceba784d634b
	Its use was removed in 2004 in 9096d0adb448330b5b197579bd57d942635d7021

	* src/libassuan-config.in: Remove unused variable

	tests: Avoid leaking file descriptors on errors.
	+ commit 70b465e0bf65c9ac6d1f7e242d2b76a84afaac6a
	* tests/fdpassing.c (client): Close fp on error

2022-05-25  NIIBE Yutaka  <gniibe@fsij.org>

	client: Handle inquiry from server with CONFIDENTIAL.
	+ commit 2a5550b7a13ce627ed0e40ab9582478ab5c9b809
	* src/assuan-defs.h (struct assuan_context_s): Add new flags,
	in_inq_cb and confidential_inquiry.
	* src/client.c (assuan_transact): Use the new flags to wipe the
	outbound buffer for inquiry when CONFIDENTIAL.
	* src/context.c (assuan_set_flag): When ASSUAN_CONFIDENTIAL is set in
	inquire callback, set the confidential_inquiry flag.

	struct assuan_context_s: Move boolean fields to flags.
	+ commit aafbde956f88d0e618b661f86041679bf8c5850a
	* src/assuan-defs.h (struct assuan_context_s): Move is_server,
	in_inquire, in_process_next, process_complete, in_command into
	flags.
	* src/assuan-buffer.c: Follow the change.
	* src/assuan-handler.c: Likewise.
	* src/assuan-inquire.c: Likewise.
	* src/assuan-pipe-server.c: Likewise.
	* src/assuan-socket-server.c: Likewise.

	client: Wipe the inbound buffer when CONFIDENTIAL.
	+ commit fd1ac5cdf804e15039276855134ecf1c0fb715d4
	* src/client.c (assuan_transact): Wipe the buffer.

	server,client: Wipe the outbound buffer when CONFIDENTIAL.
	+ commit 89e8f265e37758c3aaaa7dc580d24d96d37cc8a8
	* src/assuan-buffer.c (assuan_send_data): Wipe the buffer.

	server: Wipe out the memory used by assuan_inquire if CONFIDENTIAL.
	+ commit d812e28af637144d078005887cb7519d7a2d0c58
	* src/assuan-inquire.c (assuan_inquire): Wipe the memory and
	inbound buffer.

2022-04-08  NIIBE Yutaka  <gniibe@fsij.org>

	Add assuan_sock_accept function.
	+ commit 84ae2b1d27ce81e87a8386918e48063dfd173d2e
	* src/assuan-socket.c (_assuan_sock_accept): New.
	(assuan_sock_accept): New.
	* src/assuan.h.in (assuan_sock_accept): New.

2022-04-06  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Store a flag if it's socket or not in Assuan CTX.
	+ commit c93eb901e58d5b31294c2d452659b5150d95ec59
	* src/assuan-defs.h (struct assuan_context_s): Add is_socket flag.
	* src/assuan-socket.c (assuan_sock_init): Set the flag.
	* src/assuan-socket-connect.c (_assuan_connect_finalize): Likewise.
	* src/assuan-socket-server.c (assuan_init_socket_server): Likewise.
	* src/system-w32.c (__assuan_close): Use the flag.
	(is_socket): Remove.
	(__assuan_read, __assuan_write): Use the flag.

2022-04-05  NIIBE Yutaka  <gniibe@fsij.org>

	Fix API break.
	+ commit 5b77d39672aca33416be95c685295e49ecb9f457
	* src/posix-fd-t.inc.h (assuan_fd_from_posix_fd): Revert.
	* src/w32-fd-t.inc.h (assuan_fd_from_posix_fd): Revert.
	* src/system-w32.c (assuan_fd_from_posix_fd): Revert.

	build: Remove unused putc_unlocked.c.
	+ commit 9260fb12509affae190485744fa06c97cbc543bb
	* src/putc_unlocked.c: Remove.
	* configure.ac: Remove putc_unlocked replace.

	Take advantage of gpgrt_get_syscall_clamp function.
	+ commit 0fae5823f6e6a9592110ae50dabc6fb248eef998
	* src/assuan-defs.h (_assuan_pre_syscall, _assuan_post_syscall): New.
	* src/assuan.c (_assuan_pre_syscall, _assuan_post_syscall): New.
	(pre_syscall_func, post_syscall_func): New.
	(_assuan_syscall_func_initialized): New.
	(assuan_new_ext): Call gpgrt_get_syscall_clamp to get clamp functions.
	* src/system-posix.c (_assuan_system_hooks): Use version 0.
	* src/system-w32.c (_assuan_system_hooks): Likewise.
	* src/system.c (_assuan_usleep): Call clamp functions if no hooks.
	(_assuan_close, _assuan_close_inheritable, _assuan_read): Likewise.
	(_assuan_write, _assuan_recvmsg, _assuan_sendmsg): Likewise.
	(_assuan_waitpid, _assuan_connect): Likewise.
	(_assuan_pipe): Call __assuan_pipe directly if no hooks.
	(_assuan_spawn): Call __assuan_spawn directly if no hooks.
	(_assuan_socketpair): Call __assuan_socketpair directly if no hooks.
	(_assuan_socket): Call __assuan_socket directly if no hooks.

	build: Fix listing m4 files.
	+ commit a43090e38843126e5026548ff751d139b1e522b0
	* m4/Makefile.am (EXTRA_DIST): Add ax_cc_for_build.m4 and
	gpg-error.m4.  Remove sys_socket_h.m4.

2022-04-04  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Fix assuan_socket_connect_fd to be usable.
	+ commit 28a40a298661877e1bbeb3eb9ac58a85bdd85b02
	* src/assuan.h.in (assuan_socket_connect_fd): Second arg assuan_fd_t.
	* src/assuan-socket-connect.c (assuan_socket_connect_fd): Second arg
	should be an object of type SOCKET.
	* src/posix-fd-t.inc.h (assuan_fd_from_posix_fd): Remove.
	* src/w32-fd-t.inc.h (assuan_fd_from_posix_fd): Move to...
	* src/system-w32.c (assuan_fd_from_posix_fd): ... here.

2022-04-01  NIIBE Yutaka  <gniibe@fsij.org>

	build: Better cross build support.
	+ commit a054a0a7cfb086e2cd80c64043a8694c3c1f525d
	* configure.ac: Use AX_CC_FOR_BUILD.
	* src/Makefile.am: Use EXEEXT_FOR_BUILD.
	* m4/ax_cc_for_build.m4: New from libgpg-error.

2022-03-31  NIIBE Yutaka  <gniibe@fsij.org>

	Fix internal socket API to be consistent for SOCKET.
	+ commit a8125eba05beb33823657f095acc72191543b07f
	* src/assuan-defs.h (_assuan_socket): Return value has type assuan_fd_t.
	(_assuan_connect): Second argument has type assuan_fd_t.
	[HAVE_W64_SYSTEM] (SOCKET2HANDLE): Revert the change before.
	* src/assuan-socket.c (_assuan_sock_new): No type coercion for
	_assuan_socket.
	(socks5_connect): No type coercion for _assuan_connect.
	(_assuan_sock_connect): Likewise.
	* src/assuan.h.in (struct assuan_system_hooks): Fix method signature
	of socket for return value type and of connect for the second
	argument.
	(__assuan_socket): Return value has type assuan_fd_t.
	(__assuan_connect): Second argument has type assuan_fd_t.
	(ASSUAN_SYSTEM_NPTH_IMPL): Fix for _assuan_npth_connect for its
	second argument.
	* src/system-w32.c (__assuan_socket): Return value has type
	assuan_fd_t.
	Use SOCKET2HANDLE for type coercion for socket.
	Use INVALID_SOCKET.
	(__assuan_connect): Second argument has type assuan_fd_t.
	Use HANDLE2SOCKET for type coercion for sock.
	* src/system.c (_assuan_socket): Return value has type assuan_fd_t.
	(_assuan_connect): Second argument has type assuan_fd_t.

	build: When no gpg-error-config, not install libassuan-config.
	+ commit 9de02ca16d30a3501a9333e48934b008fcd94f8f
	* configure.ac (USE_GPGRT_CONFIG): New.
	* src/Makefile.am [USE_GPGRT_CONFIG]: Conditionalize the install
	of libassuan-config.

	Remove GNU Pth support.
	+ commit eeda9ac0a71951a2894cd92a366216d2f65c5ad1
	* src/posix-sys-pth-impl.h: Remove.
	* src/w32-sys-pth-impl.h: Remove.
	* src/Makefile.am: Follow the change.
	* src/assuan.h.in (ASSUAN_SYSTEM_PTH_IMPL, ASSUAN_SYSTEM_PTH): Remove.
	* src/mkheader.c (write_special): Remove Pth support.

2022-03-29  NIIBE Yutaka  <gniibe@fsij.org>

	w32: Fix definition of type to be generated into assuan.h.
	+ commit 564e0d94f21f9c2cd8cadf2846163871352f1a92
	* src/w32-types.inc.h: Distinguish the case of _WIN64.

2021-12-22  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update for newer autoconf.
	+ commit 66d5fe281c8dcbbbc13edc8630aaf631b6cb5e85
	* configure.ac (AC_PREREQ): Require >= 2.69.
	(AC_HEADER_STDC): Remove.
	* m4/sys_socket_h.m4: Remove.

2021-12-17  NIIBE Yutaka  <gniibe@fsij.org>

	build,w32: Update configure script.
	+ commit 576fbb033805b077ffe2270cb8a17c3f2dc830ae
	* configure.ac: Don't use gl_HEADER_SYS_SOCKET, but check winsock2.h.

2021-11-10  NIIBE Yutaka  <gniibe@fsij.org>

	libtool: Link without -flat_namespace for macOS.
	+ commit e342b58b6230d22c1225ed680f05e9d134a8f657
	* m4/libtool.m4: Not setting 10.0 to MACOSX_DEPLOYMENT_TARGET when not
	defined.  Only specify -flat_namespace to linker for specific
	(older) versions and hosts.

2021-08-05  NIIBE Yutaka  <gniibe@fsij.org>

	build: Simplify configure.ac.
	+ commit 669c76ee28c0b10c418bb47f95b1401631478c5a
	* configure.ac (AC_CHECK_HEADERS): Remove string.h.

2021-05-27  NIIBE Yutaka  <gniibe@fsij.org>

	build: _DARWIN_C_SOURCE should be 1.
	+ commit 335030e3d204afe33873df83c29302ff1caa0217
	* configure.ac (*-apple-darwin*): Set _DARWIN_C_SOURCE 1.

2021-04-21  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update gpg-error.m4.
	+ commit 8ec3e9f1dd88e14f42f31e8692a8664bd894226b
	* m4/gpg-error.m4: Update from libgpg-error.

2021-03-22  Werner Koch  <wk@gnupg.org>

	Release 2.5.5.
	+ commit f8cfb565ee461946901ae3bc573abc0023d821b5


2021-03-09  Werner Koch  <wk@gnupg.org>

	Support Unicode when starting servers on Windows.
	+ commit 9264c2710b64e565982d77410169a3253563a647
	* src/assuan-socket.c (utf8_to_wchar): Rename to
	(_assuan_utf8_to_wchar): this and give global scope.
	* src/system-w32.c (__assuan_spawn): Use CreateProcessW.

2020-11-17  NIIBE Yutaka  <gniibe@fsij.org>

	m4: Update with newer autoconf constructs.
	+ commit 05535d9863cfc4656554fa5fd8df2f4fbe695178
	* src/libassuan.m4: Replace AC_HELP_STRING to AS_HELP_STRING.

	build: Update to newer autoconf constructs.
	+ commit 12fd96a61033a587482be150a0f955615083ad43
	* configure.ac: Use AC_CONFIG_HEADERS instead of AM_CONFIG_HEADER.
	Use AC_USE_SYSTEM_EXTENSIONS instead of AC_GNU_SOURCE.
	Use AS_HELP_STRING instead of AC_HELP_STRING.
	(AC_TYPE_SIGNAL): Remove.
	(AC_DECL_SYS_SIGLIST): Remove.
	* m4/Makefile.am (EXTRA_DIST): Update.
	* m4/gnupg-pth.m4: Remove.
	* m4/onceonly.m4: Remove.
	* m4/socklen.m4: Update from gnulib.
	* m4/libtool.m4: Update from libgpg-error.
	* m4/gpg-error.m4: Update from libgpg-error.

2020-11-12  Ben Kibbey  <bjk@luxsci.net>

	Fix crash when logging.
	+ commit 0dd8ffbd32fe62b8e4bf565cbd7a9272a2891d01
	* src/assuan-logging.c (_assuan_log_control_channel): Use gpgrt_malloc.

2020-10-23  Werner Koch  <wk@gnupg.org>

	Post release updates.
	+ commit 103c1e7f86de3f40c4f49e67b14376aad58ef81b


	Release 2.5.4.
	+ commit e368b400f276d5d9868832e7a652ab250dd57555


2020-10-20  Werner Koch  <wk@gnupg.org>

	Support Unicode socket file names under Windows.
	+ commit 397316e9d0fb7c6a0daf163bf252edb996ffba46
	* src/assuan-socket.c [W32]: Always use CreateFileW.  Drop support for
	Windows-CE
	(read_port_and_nonce): Use gpgrt_fopen.

2020-02-25  NIIBE Yutaka  <gniibe@fsij.org>

	build: Use Requires.private and Libs.private.
	+ commit 034e5450cdd5d886d9f333ef3872d4263b435dbb
	* configure.ac (LIBASSUAN_CONFIG_LIBS): Remove NETLIBS.
	* src/libassuan.pc.in: Distinguish static link.
	* tests/Makefile.am: Don't need to link NETLIBS.

2019-11-27  Werner Koch  <wk@gnupg.org>

	w32: Fix bad-function-cast warning.
	+ commit 16d3ffa15906037863110f4157ab84e13f579752
	* src/w32-fd-t.inc.h (assuan_fd_from_posix_fd): Avoid compiler warning.

2019-08-20  NIIBE Yutaka  <gniibe@fsij.org>

	libassuan.pc: Fix to have -I for Cflags and -L for Libs.
	+ commit 909133baad498ca395a01336f3b49d85322a1d12
	* src/libassuan.pc.in (Cflags): Add -I flag.
	(Libs): Add -L flag.

2019-07-18  Daniel Kahn Gillmor  <dkg@fifthhorseman.net>

	build: Use {CFLAGS,CPPFLAGS,LDFLAGS}_FOR_BUILD for helper programs.
	+ commit 98d7c7ea3f37cf359f7e90192dedee7b1a791172
	* src/Makefile.am: pass distinct build flags to CC_FOR_BUILD.

2019-02-11  Werner Koch  <wk@gnupg.org>

	Release 2.5.3.
	+ commit 4de3154ea6e6e89e34760b7b9e0eed5123bb81f9


2019-01-25  Werner Koch  <wk@gnupg.org>

	socks5: Fix compiler warning on Windows.
	+ commit 75770b1131e11075c82031bdb220591154df9e64
	* src/assuan-socket.c (socks5_connect): Use cast macro to get the
	hightest socket number.

2019-01-25  NIIBE Yutaka  <gniibe@fsij.org>

	socks5: Implement timeout to detect bogus service.
	+ commit 5e48116051a476e1dcf5f66d9e21d8003b27ad20
	* src/assuan-socket.c (TIMEOUT_NOT_WAITING_SOCKS5_FOREVER): New.
	(socks5_connect): Call 'select' in order to not waiting response
	forever.

2019-01-16  NIIBE Yutaka  <gniibe@fsij.org>

	build: With LD_LIBRARY_PATH defined, use --disable-new-dtags.
	+ commit 23bf875954329458c0ac6c31e253cba44db8a648
	* configure.ac (LDADD_FOR_TESTS_KLUDGE): New for --disable-new-dtags.
	* tests/Makefile.am (LDADD): Use LDADD_FOR_TESTS_KLUDGE.

2018-12-13  Werner Koch  <wk@gnupg.org>

	Release 2.5.2.
	+ commit 86e1d17de081081f9302ca58cc2e07ecde3172f6
	* configure.ac: Bump LT version to C8/A8/R2.

2018-11-14  NIIBE Yutaka  <gniibe@fsij.org>

	libassuan.vers: Remove duplicates.
	+ commit eac43aadd7c3a249f35c7cce25eac78f4aaa85db


	server: Don't call _assuan_waitpid on server side.
	+ commit 8153608073b7859eed32b8963b4a052243b4858f
	* src/server.c (_assuan_server_finish): Never call waitpid here.
	* src/assuan-socket-server.c (accept_connection_bottom): Indentation.

2018-11-13  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update autogen.rc and autogen.sh.
	+ commit 5e7988d2da3cdc36ebed3b598c0582028f3715ab
	* autogen.sh: Update from libgpg-error, version 2018-07-10.
	* autogen.rc: Remove obsolete --with-gpg-error-prefix option.

2018-11-08  NIIBE Yutaka  <gniibe@fsij.org>

	socket: Use union for sockaddr access.
	+ commit ea69c7126ff25d7d44950bf4a70467d577989a34
	* src/assuan-socket.c (socks5_connect, use_socks): Use union
	to access, instead of using cast to the pointer.

2018-11-02  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update gpg-error.m4 and libassuan.m4.
	+ commit 50ed4f7d5b68e94464df7c0646c3424cee2f47de
	* m4/gpg-error.m4: Update to 2018-11-02.
	* src/libassuan.m4: Add AC_MSG_NOTICE.

2018-10-29  NIIBE Yutaka  <gniibe@fsij.org>

	build: Update gpg-error.m4 and libassuan.m4.
	+ commit e916b1ece87dee254ea7899b01cd5d2c2ff58021
	* m4/gpg-error.m4: Update to 2018-10-26.
	* src/libassuan.m4: Follow the change of gpgrt-config.

2018-10-26  NIIBE Yutaka  <gniibe@fsij.org>

	libassuan.m4: Better backward compatibility support.
	+ commit 882cbafa9444060524ff132d403a76d61f4273a6
	* m4/gpg-error.m4: Update.
	* src/libassuan.m4: Don't assume libassuan-config is newer.

	build: Fix libassuan.m4.
	+ commit 0a2a322cb470479cf1f9c8653ba0f943eb30ce0d
	* src/libassuan.m4: Use AC_PATH_PROG to detect libassuan-config.

	build: Fix previous commit.
	+ commit 24f80c49fde0fa4e9a7c2818c8a922cc5a4abacc


	build: Improve libassuan.m4.
	+ commit bb9a89bf5defa793ae9c1939d9476f6dfd46d448
	* src/libassuan.m4: Don't try gpgrt-config when LIBASSUAN_CONFIG set.
	Fall back to detecting libassuan-config, when gpgrt-config doesn't
	work well.

2018-10-25  NIIBE Yutaka  <gniibe@fsij.org>

	build: Fix previous commit.
	+ commit 0a3192ae33f6b57312cb5bfec0e8fd491c923728


	build: Relax requirements.
	+ commit b7922ea7ae2c3d385a7b3b3a5f33987705cfdd2b
	* m4/gpg-error.m4: Update from libgpg-error 1.33.
	* src/libassuan.m4: Don't require AM_PATH_GPG_ERROR.  Only when
	gpgrt-config is available and works well, use it.
	* configure.ac (AM_PATH_GPG_ERROR): No requirement any more.

	build: Use LIBASSUAN_CONFIG_LIBS (instead of LIB).
	+ commit 1dd2430d8877ffda43bc46f0d5f23fea4801ecf6
	* configure.ac (LIBASSUAN_CONFIG_LIBS): Rename from *_LIB.
	(LIBASSUAN_CONFIG_EXTRA_LIBS): Remove.
	* src/libassuan-config.in: Follow the change.
	* src/libassuan.pc.in: Likewise.

	build: Require libgpg-error >= 1.33.
	+ commit 27f4671883e3241ac0fdee3935c8707c816686b6
	* configure.ac (AM_PATH_GPG_ERROR): Require 1.33.
	* m4/gpg-error.m4: Update from libgpg-error 1.33.

2018-10-24  NIIBE Yutaka  <gniibe@fsij.org>

	build: Fix libassuan.pc.
	+ commit 25797256e1588db9f3171a050246008ac66c66b3
	* src/libassuan.pc.in: Fix typo.

	build: Fix previous commit.
	+ commit b9fb02a823f72f97d93344d16d49b73e39a7aaaf


	build: Compatibility to pkg-config.
	+ commit 9b1666522f7b748cdbdd65cf7f91a76fdde6623b
	* src/libassuan-config.in: Support --variable and --modversion.

	build: Make libassuan.m4 use gpg-error-config.
	+ commit f69f4c893f29c1a359cc60f8a87a79d05d9a6c15
	* src/libassuan.m4: Use gpg-error-config.

	build: Provide libassuan.pc, generated by configure.
	+ commit 9c74661d6f8028c616932b02eb5360a2e3587e81
	* configure.ac (PACKAGE, VERSION): Remove.
	Generate src/libassuan.pc.
	* src/Makefile.am (pkgconfigdir, pkgconfig_DATA): New.
	(assuan.h): Use PACKAGE_VERSION and VERSION_NUMBER vars.
	* src/libassuan-config.in: Use @PACKAGE_VERSION@.
	* src/libassuan.pc.in: New.

	build: Update gpg-error.m4 from libgpg-error.
	+ commit 34fd79ae2af25a2ac9a60a811229ec9d28926f9d
	* m4/gpg-error.m4: Update from libgpg-error 1.33.

2018-09-14  Ben Kibbey  <bjk@luxsci.net>

	Fix OpenBSD build.
	+ commit afeae6496f51d28958fd92b04cc933ee6ceb5b61
	* configure.ac: Define HAVE_STRUCT_SOCKPEERCRED_PID when found.

2018-03-27  NIIBE Yutaka  <gniibe@fsij.org>

	tests: Exclude tests for Windows build.
	+ commit b270f2ec21b67f5728edae4b2ddf6fe17a0fd25a
	* tests/Makefile.am [HAVE_W32_SYSTEM] (TESTS, testtools): Fix.

2018-02-26  NIIBE Yutaka  <gniibe@fsij.org>

	Silence two minor warning on Windows.
	+ commit 6c736325c028647dc3283bf723e2e28199e7f45b
	* src/assuan-defs.h [HAVE_W64_SYSTEM] (SOCKET2HANDLE): Care for size
	of integer.
	* src/stpcpy.c: No K&R anymore.

2018-02-23  NIIBE Yutaka  <gniibe@fsij.org>

	Fix previous commit.
	+ commit 35aad6b5d53b292e8e7c52c4eb90535be0580cd2


2018-02-20  NIIBE Yutaka  <gniibe@fsij.org>

	Better credential support for other OSes.
	+ commit 0ad3aafe2c02cdff21e10a59de56b8a2f9532be3
	* configure.ac (HAVE_UCRED_H, HAVE_SYS_UCRED_H): Check these headers
	unconditionally.
	(HAVE_SO_PEERCRED, HAVE_LOCAL_PEEREID): Remove.
	(HAVE_STRUCT_SOCKPEERCRED_PID): New.
	(HAVE_GETPEEREID): New.
	* src/assuan-socket-server.c (accept_connection_bottom): Add
	support for OpenBSD, macOS, and FreeBSD.

2017-12-07  Werner Koch  <wk@gnupg.org>

	Release 2.5.1.
	+ commit 8fc922c45b66d4e4d1c6c55de617cfeef2c01357


	Fix regression in ASSUAN_SYSTEM_NPTH_IMPL.
	+ commit d38817fd0e24acfd295bd7f81b77254afd0cc6d5
	* src/assuan.h.in (ASSUAN_SYSTEM_NPTH_IMPL): A void fucntion can't
	assign.

	Release 2.5.0.
	+ commit ec92ef4ee3df1fdca7db19f691f64a2f96dcfc71


2017-12-07  NIIBE Yutaka  <gniibe@fsij.org>
	    wk@gnupg.org

	Allow change of system hooks for assuan_sock_...
	+ commit 90dc81682b13a7cf716a8a26b891051cbd4b0caf
	* src/assuan-socket.c (assuan_sock_set_system_hooks): New.
	* src/assuan.h.in (assuan_sock_set_system_hooks): New prototype.
	* src/libassuan.def: Add new function.
	* src/libassuan.vers: Add new function.

2017-12-06  NIIBE Yutaka  <gniibe@fsij.org>

	Use wrapped __assuan_usleep for _assuan_npth_usleep.
	+ commit a627350eed5dc32bac41195462f27dee1987b0f5
	* src/assuan.h.in (_assuan_npth_usleep): Wrap __assuan_usleep.

2017-12-01  Werner Koch  <wk@gnupg.org>

	Release 2.4.5.
	+ commit a70eaa8a3347660cf2f66ada0fa82cf991a1d7a0


2017-11-30  NIIBE Yutaka  <gniibe@fsij.org>

	Wrap assuan_close for nPth.
	+ commit 0b551de6ca57790c511f32755880bbeaa1cacf85
	* src/assuan.h.in (_assuan_npth_close): New.
	(_assuan_system_npth): Use _assuan_npth_close.

2017-11-20  Ben Kibbey  <bjk@luxsci.net>

	tests: Fix build.
	+ commit a63c4f33d5c10173dd54e2af32b127aa49498bfe
	* tests/fdpassing.c: Include config.h to define GPGRT_ENABLE_ES_MACROS.

2017-11-16  Werner Koch  <wk@gnupg.org>

	Release 2.4.4.
	+ commit 3611db285fda5514c25fe18322bc02a2d257ab9e


2017-11-15  Werner Koch  <wk@gnupg.org>

	Add special check version request \001\001.
	+ commit 4f5596cf09c9e3e7845aa703f68e49168797fd2a
	* src/assuan.c (assuan_check_version): Handle version "\001\001"
	* tests/version.c (main): Print extended version info.

	Let configure create the VERSION file.
	+ commit dfb8654f66f8ddeeb048e195a4f98c0aeed9ffb7
	* autogen.sh: Update from Libgpg-error
	* configure.ac: Create file VERSION.
	* Makefile.am (dist-hook): Do not create VERSION.
	(EXTRA_DIST): Add VERSION.

	Fix last commit.
	+ commit 4d4c82ae2bbe7c0e08391ecf34e1aaadfdab435f
	* src/system-posix.c (__assuan_usleep): Its ysec and usecs

	Fix the nanosleep case of __assuan_usleep.
	+ commit 7b408d356094ab0ef0a07904a3ddf3832a8aa197
	* src/system-posix.c (__assuan_usleep): Handle full seconds.

2017-09-06  NIIBE Yutaka  <gniibe@fsij.org>

	We can't support fd passing, if the system doesn't support it.
	+ commit 87c2bb5708ff202651fca81d91d5f1e0c898cb07
	* configure.ac (check_descriptor_passing): New.
	(use_descriptor_passing): Use check_descriptor_passing.

	Define INADDR_LOOPBACK if not defined.
	+ commit 87473cd29ca9d5e3fb1c3172126c1122472d8b90
	* src/assuan-socket.c (INADDR_LOOPBACK): Define.

2017-06-19  Marcus Brinkmann  <marcus.brinkmann@ruhr-uni-bochum.de>

	configure: Add flag to disable documentation build.
	+ commit 859f9a9754708572a6289853d7d95b9ee3eae589
	* configure.ac: Add new option --disable-doc.
	(BUILD_DOC): New automake conditional.
	* Makefile.am (SUBDIRS): Make doc optional based on BUILD_DOC.
	(DISTCHECK_CONFIGURE_FLAGS): New variable.

	Signed-Off-By: Marcus Brinkmann <mb@g10code.com>

2017-05-31  NIIBE Yutaka  <gniibe@fsij.org>

	Use gpgrt_free to release memory allocated by gpgrt_asprintf.
	+ commit 62f3123d3877c8a84961e5f907bf959d4593fa5c
	* src/assuan-logging.c (_assuan_log_control_channel): Use gpgrt_free.
	* src/debug.c (_assuan_debug, _assuan_debug_add, _assuan_debug_end):
	Likewise.

2017-03-08  Justus Winter  <justus@g10code.com>

	build: Use macOS' compatibility macros to enable all features.
	+ commit b26b73d04bff10852382113ae361ea5726661510
	* configure.ac: On macOS, use the compatibility macros to expose every
	feature of the libc.  This is the equivalent of _GNU_SOURCE on GNU
	libc.

2016-09-04  Ben Kibbey  <bjk@luxsci.net>

	EPROTO portability fix.
	+ commit 8ab3b9273524bd344bdb90dd5d3bc8e5f53ead6e
	* src/assuan-socket.c(socks5_connect): Return EPROTONOSUPPORT rather
	than EPROTO.

2016-07-14  Werner Koch  <wk@gnupg.org>

	Release 2.4.3.
	+ commit 316a040452c0956ecab4ce6b5d99d5e75b36879b
	* configure.ac: Set LT version to C7/A7/R3.
	* Makefile.am (distcheck-hook): New.

2016-07-13  Werner Koch  <wk@gnupg.org>

	build: Update config.{guess,sub} to {2016-05-15,2016-06-20}.
	+ commit cbf913c5d543163fa29703884bae3676a57a3261
	* build-aux/config.guess: Update.
	* build-aux/config.sub: Update.

	Improve test for inet_pton on Solaris.
	+ commit c52829e32fe9108fc0e39d478eede24ac5e694ac
	* configure.ac (HAVE_INET_PTON): Add a fallback test.

	Allow socket redirection with assuan_socket_connect.
	+ commit 678f6063b53e4a2cc919f5a8b9d8bde743839c54
	* src/assuan-socket-connect.c (assuan_socket_connect): Use
	set_socketaddr function.

	Speedup closing fds before an exec.
	+ commit e64f9a4af5a379f5a9fde59f0f944cd10ccfc6ea
	* src/system-posix.c [__linux__]: Include dirent.h.
	(get_max_fds) [__linux__]: Return the actual used highest fd.

2016-07-05  Justus Winter  <justus@g10code.com>

	Fix distcheck.
	+ commit 70bb71e51462e9d81eff80ef8308cd8e15ea96ca
	* tests/Makefile.am (EXTRA_DIST): Drop compiled test.

2016-06-25  Werner Koch  <wk@gnupg.org>

	Fix minor memory leaks.
	+ commit d60ef7192ad95ec2ec1aef436742f56e6c750b89
	* src/assuan-pipe-connect.c (socketpair_connect): Always free
	CHILD_FDS.
	* src/assuan-uds.c (uds_sendfd): Clear CONTROL_U to silence Valgrind.
	* tests/fdpassing.c (main): Free FNAME.

	* src/assuan-handler.c (dispatch_command): Remove dead assignment.

2016-01-15  Werner Koch  <wk@gnupg.org>

	Improve getting of max. number of open fds.
	+ commit 7101fcbb662220326f2fc786219c1853f27a5298
	* configure.ac (AC_CHECK_FUNCS): Add getrlimit.
	* src/assuan-pipe-connect.c (MAX_OPEN_FDS): Remove non-used macro.
	* src/system.c (MAX_OPEN_FDS): Remove non-used macro.
	* src/system-posix.c: Include stdint.h, sys/time.h, sys/resource.h.
	(MAX_OPEN_FDS): Remove non-used macro.
	(get_max_fds): New.  Taken from gnupg/common/exechelp-posix.c.
	(__assuan_spawn): Use it here.

2015-12-02  Werner Koch  <wk@gnupg.org>

	Release 2.4.2.
	+ commit e0516c5bbac23aa2d2a0b59caad67fca00b3183f
	* configure.ac: Bump LT version to C7/A7/R2.

2015-11-27  Werner Koch  <wk@gnupg.org>

	New feature to test for SOCKS5 proxy availability.
	+ commit 05ac2dc5c77fa4b87e98508c1b15fd254806b1ce
	* src/assuan-socket.c (socks5_connect): Add special treatment for
	empty hostnames.
	(_assuan_sock_connect_byname): Add feature to test for proxy
	availibility.
	* tests/socks5.c (main): Add option --have-proxy.

2015-11-26  Werner Koch  <wk@gnupg.org>

	Protect connect system hook against blocking (nPth).
	+ commit 18ca1593c62d62bb72b4e7e14347cd221c187138
	* src/assuan.h.in (ASSUAN_SYSTEM_NPTH_IMPL): Add wrapper for connect.

	Do not use size_t with _assuan_read.
	+ commit 9f24377f9f19983926233af8b475328bb7fe9e65
	* src/assuan-socket.c (do_readn): Use ssize_t for N.

2015-11-23  Werner Koch  <wk@gnupg.org>

	Release 2.4.1.
	+ commit add6953a916dafa93ae152bffc937a93ab5b55f8
	* configure.ac: Bump LT version to C7/A7/R1.

	Make socks5 test case a bit more robust.
	+ commit 429ff31fe72db8afedaad3f2d089c9c3b5dae41e
	* tests/socks5.c (main): Call gpgrt_init.  Check for write and read
	errors.  Allow building of some parts even w/o getaddrinfo.

2015-11-21  Werner Koch  <wk@gnupg.org>

	Also try port 9150 in Tor mode.
	+ commit 5b927b3dcffa2918e6b503c4907923aadbad0865
	* src/assuan-socket.c (TOR_PORT2): New.
	(_assuan_sock_wsa2errno): Map WSAECONNREFUSED.
	(socks5_connect): Fall back to TOR_PORT2.

2015-11-21  Andre Heinecke  <aheinecke@intevation.de>

	Fix windows build with mingw-w64 2.0.x.
	+ commit cef28d96debcf94003f94f3ea2181e80aff0b665
	* src/assuan-socket.c: Add errno values not defined by mingw-w64 2.0

2015-11-03  Werner Koch  <wk@gnupg.org>

	Release 2.4.0.
	+ commit 0beb1784e7b72e31ecec441ee0a8ba4cef63d853
	* configure.ac: Bump LT version to C7/A7/Ro.

	w32: Use assuan_fd_t with the new socket functions.
	+ commit 6034cc02e38cb947800f904f678c4ef5ff9c2050
	* src/assuan-socket.c (socks5_connect): Use assuan_fd_t instead of
	int.
	(_assuan_sock_connect): Ditto.
	(_assuan_sock_connect_byname): Ditto.

	Use asprintf function from libgpg-error.
	+ commit 7279c3ce9283723bd7f670051cd8a2087f62cd7f
	* configure.ac: Require libgpg-error 1.17.
	(vasprintf): Remove ac_replace.
	* src/assuan-defs.h [!HAVE_VASPRINTF]: Remove replace wrapper.
	* src/assuan-logging.c (_assuan_log_control_channel):
	(_assuan_log_control_channel): s/asprintf/gpgrt_asprintf/.
	* src/debug.c (_assuan_debug): s/vasprintf/gpgrt_vasprintf/.
	(_assuan_debug_begin): Ditto.
	(_assuan_debug_add): Ditto. s/asprintf/gpgrt_asprintf/.

2015-10-26  Werner Koch  <wk@gnupg.org>

	Tests: Cope with broken HTTP servers.
	+ commit dda9c84bc67326a6d2bef1e5c45b5de8b67eeb40
	* tests/socks5.c (main): Use GET instead of HEAD

	Support hostname based SOCKS5 connection.
	+ commit 4061ac57ca84a1e0ed779096897a160d49b50c03
	* src/assuan.h.in (ASSUAN_SOCK_SOCKS): New.
	(ASSUAN_SOCK_TOR): New.
	(assuan_sock_connect_byname): New.
	* src/libassuan.def, src/libassuan.vers: Add that function.

	* src/assuan-socket.c (socks5_connect): Add args socksport,
	credentials, hostname, and hostport.  Implement user/password
	authentication and domainname address type.  Change callers
	accordingly.
	(_assuan_sock_connect_byname): New.
	(assuan_sock_connect_byname): New.

	* tests/socks5.c (main): Add options --byname, --user, and --pass.

2015-10-18  Werner Koch  <wk@gnupg.org>

	Support SOCKS5 for assuan_sock_connect.
	+ commit 85ece74a11718338dcd76d6e43ea8100183df02f
	* src/assuan-socket.c: Include netinet/in.h and arpa/inet.h.
	(SOCKS_PORT, TOR_PORT): New constants.
	(tor_mode): New variable.
	(_assuan_sock_set_flag): Add flags "tor-mode" and "socks".
	(_assuan_sock_get_flag): Ditto.
	(do_readn, do_writen): Always build.
	(socks5_connect): New.
	(use_socks): New.
	(_assuan_sock_connect): Divert to socks5_connect if requested.

	* tests/socks5.c: New.
	* configure.ac (AH_TOP): Define GPGRT_ENABLE_ES_MACROS.
	(AC_CHECK_FUNC): Check for getaddrinfo.
	* tests/Makefile.am (testtools): New. Add socks5.
	(AM_LDFLAGS): Add -no-install for easier debugging.

2015-08-28  Werner Koch  <wk@gnupg.org>

	Post release updates.
	+ commit 3aec1981cfd0a7b29750965c065a45ad928e66dc


	Release 2.3.0.
	+ commit cdb1e6484d6f094f8e795bfec5b314ec524a90f8
	* configure.ac: Set LT version to C6/A6/R0.

	Support Cygwin local sockets.
	+ commit 6d4a8ee2a6c749eec70bd3ae804f21456e375727
	* src/assuan-socket.c (cygwin_fdtable, cygwin_fdtable_cs): New.
	(is_cygwin_fd, insert_cygwin_fd, delete_cygwin_fd): New.
	(assuan_sock_init) [W32]: Init the CS.
	(assuan_sock_deinit) [W32]: Deinit the CS.
	(read_port_and_nonce): Add arg cygwin and detect Cygwin socket files.
	(_assuan_sock_set_flag): Add "cygwin" flag.
	(_assuan_sock_get_flag): Ditto.
	(do_readn, do_writen): New.
	(_assuan_sock_bind): Create a Cygwin socket file depending on a socket
	flag.
	(_assuan_sock_connect): Handle the cygwin socket protocol.
	(_assuan_sock_check_nonce): Ditto.

	Read up remaining lines in assuan_inquire after reaching MAXLEN.
	+ commit 5a52404c704d0e99629a2db79dda17e3b95c9680
	* src/assuan-inquire.c (assuan_inquire): Clear return args on error.
	Read up remaining lines after MAXLEN has been hit.

2015-08-25  Werner Koch  <wk@gnupg.org>

	Add configure option --enable-build-timestamp.
	+ commit d4bef26a49879761867ad6d57113341915db6acf
	* configure.ac (BUILD_TIMESTAMP): Set to "<none>" by default.

2015-08-07  Werner Koch  <wk@gnupg.org>

	Wipe the context before releasing as an extra safeguard.
	+ commit b5cbf11ccece653819a782a3e8adbb785fe36d7d
	* src/assuan-defs.h (wipememory2, wipememory): New.  Taken from GnuPG.
	* src/assuan.c (assuan_release): Wipe the context.

2015-06-30  Werner Koch  <wk@gnupg.org>

	Add assuan_sock_set_flag and assuan_sock_get_flag.
	+ commit 87def94c86d5272c23daf2b5ea446c5553aa1d90
	* src/assuan-socket.c (_assuan_sock_set_flag): New.
	(assuan_sock_set_flag): New.
	(_assuan_sock_get_flag, assuan_sock_get_flag): New.
	* src/assuan.h.in (assuan_sock_set_flag): New.
	(assuan_sock_get_flag): New.
	* src/libassuan.def: Add them.
	* src/libassuan.vers: Add them.

2015-06-26  Werner Koch  <wk@gnupg.org>

	Return GPG_ERR_SOURCE_ASSUAN on errors with no CTX.
	+ commit cd8face27cc96cb0092c920e6e5bdee81a61c420
	* src/assuan-defs.h (_assuan_error): Use error source Assuan if no CTX
	is given.

	Do not segv if NULL is passed for CTX in sendfd and receivefd.
	+ commit 0da6afa864cfd68333941d6332d762c82928946c
	* src/assuan-buffer.c (assuan_sendfd): Check that CTX is not NULL.
	(assuan_receivefd): Ditto.

2015-06-01  Neal H. Walfield  <neal@gnu.org>

	Fix documentation for assuan_inquire.
	+ commit c6b131949bb6c77392af2cbbbeb8ea1bed129b79
	* doc/assuan.texi (assuan_inquire): Fix and improve description of
	this function.

2015-05-12  Werner Koch  <wk@gnupg.org>

	Release 2.2.1.
	+ commit 1f0896c86b0d6b02a71b90f122bf3fa90e75fb9d


2015-05-07  Daniel Kahn Gillmor  <dkg@fifthhorseman.net>

	clean up assuan documentation.
	+ commit e6e51c067181a94d92353f5af2340e75a839c4e3
	* doc/assuan.texi: fix documentation

2015-05-07  Neal H. Walfield  <neal@gnu.org>

	Documentation cleanups.
	+ commit ccd1811479e9d30dcd207a5031eda07958459fe2


2015-01-30  Werner Koch  <wk@gnupg.org>

	w32: Use -static-libgcc to avoid linking to libgcc_s_sjlj-1.dll.
	+ commit 5cdc9c457f4e549491fa3f0db75119abd078b070
	* src/Makefile.am (extra_ltoptions): New.
	(libassuan_la_LDFLAGS): Use it.

2015-01-28  Werner Koch  <wk@gnupg.org>

	Require the use of automake 1.14.
	+ commit 77dfed442db065ce0c9e0afb8a0f6fd3ae169a64
	* configure.ac (AM_INIT_AUTOMAKE): Add serial-tests.
	* src/Makefile.am (INCLUDES): Rename to AM_CPPFLAGS and remove the
	nonexistent ../include/.

	w32: Fix assuan_connect_fd.
	+ commit 91a98e2c812dccd73c57badd02da7642e0421c8e
	* src/assuan-socket-connect.c (assuan_socket_connect_fd): Map fd to
	assuan_fd_t.

	Fix gcc warning about unused values.
	+ commit 5e0a01fad54ca16a4cff2c0fc33bf16aac62f417
	* src/debug.h: Remove traling ", 0" expression part where not useful.

2015-01-27  Werner Koch  <wk@gnupg.org>

	Fix WSAEADDRINUSE EADDRINUSE mismatch.
	+ commit ab5264b20f75a4dcc8baf2e672394d3a84c60870
	* src/w32-sock-nonce.inc.h (EADDRINUSE): Avoid redefining.
	* src/assuan-socket.c (_assuan_sock_bind): Set error to EADDRINUSE.

2014-12-11  Werner Koch  <wk@gnupg.org>

	Release 2.2.0.
	+ commit 261498de39a10a00d5035f2481d33319c983875f
	* configure.ac: Set LT version to C5/A5/R0.
	(AM_INIT_AUTOMAKE): Add options.
	* Makefile.am (AUTOMAKE_OPTIONS): Remove.

2014-11-28  Werner Koch  <wk@gnupg.org>

	Do not allow LFs in the redirected name.
	+ commit 0fce017100c5896cf9dc1fcbd4a39053651c3910
	* src/assuan-socket.c (eval_redirection): Stop parsing at the first
	LF.

	Implement socket file redirection.
	+ commit 1f99031cb55e88840d98dd71381b2bc2618406fc
	* configure.ac (AC_CHECK_FUNC): Check for stat.
	* src/assuan-socket.c (SUN_LEN): Add.
	(eval_redirection): New.
	(_assuan_sock_connect) [!W32]: Implement socket file redirection.
	(_assuan_sock_set_sockaddr_un): New.
	(assuan_sock_set_sockaddr_un): New.

2014-11-07  Werner Koch  <wk@gnupg.org>

	Release 2.1.3.
	+ commit 3003c5d70febc8d4b6be9c95ca6deda7b033cabc
	* configure.ac: Set LT version to C4/A4/R3.

	w32: Remove I/O delays due to our 100ms delay after an EAGAIN.
	+ commit 1023508f210cd136992661c01b55b428de86a182
	* src/system-w32.c (__assuan_read): Retry using select.  Map
	WSAECONNRESET to EPIPE.
	(__assuan_write): Retry using select.
	* src/assuan-buffer.c (readline) [W32]:  Return EOF instead of EPIPE.

2014-08-17  Werner Koch  <wk@gnupg.org>

	Release 2.1.2.
	+ commit a5d7f4999f4aa844d9446bd4524cb6a47219826c
	* configure.ac: Set LT version to C4/A4/R2.

	Update build system.
	+ commit 49a930a613b280fdd55e6d558a2ae414bdbbf66e
	* autogen.sh: Add --find-version stuff.  Taken from GnuPG.
	* configure.ac: Change accordingly

	Fix possible segv in a call to _assuan_debug.
	+ commit b6da2da96780ec270439eba5569a618cabe4da02
	* src/context.c (assuan_set_error): Do not pass NULL for %s in the
	trace function.

2014-06-30  Werner Koch  <wk@gnupg.org>

	Avoid a vasprintf call if tracing has not been enabled.
	+ commit 134c045c7d1f93ce61f62193d33af8a6e8825543
	* src/debug.c (_assuan_debug): Check wether CAT want to be logged.

2014-04-16  Werner Koch  <wk@gnupg.org>

	Fix NULL deref when tracing is enabled and malloc fails.
	+ commit 326a2918d645dd3d38dbc928e4452c66cb9757f1
	* src/debug.h (TRACE_ERR): Check CTX before a deref.
	* src/assuan-defs.h (_assuan_error): Turn into an inline function and
	check CTX before a deref.

2014-01-10  Werner Koch  <wk@gnupg.org>

	Use the generic autogen.sh script.
	+ commit a5a6aea1ef063b9c6801b5f5ff482b7599ec4b2e
	* autogen.rc: New.
	* Makefile.am (EXTRA_DIST): Add it.
	* autogen.sh: Update from GnuPG.

	Move helper scripts to build-aux.
	+ commit a9c9aaca70c770cf5f9d05ce2417343490e45627
	* compile, config.guess, config.rpath, config.sub, depcomp, ltmain.sh
	* doc/mdate-sh, doc/texinfo.tex, install-sh, missing: Move to
	build-aux/.
	* Makefile.am (EXTRA_DIST): Remove config.rpath - it is implicitly
	distributed.
	* configure.ac (AC_CONFIG_AUX_DIR): New.
	(AM_SILENT_RULES): New.

2013-12-03  Werner Koch  <wk@gnupg.org>

	Add build support for ppc64le.
	+ commit 46b6d97b4a396c16df53e82872c3cc772d427623
	* config.guess, config.sub: Update to latest version (2013-11-29).
	* m4/libtool.m4: Add patches for ppc64le.

2013-06-24  Werner Koch  <wk@gnupg.org>

	Release 2.1.1.
	+ commit cf1e6f64c83194a42012cc786a0da2814be72883
	* configure.ac: Set LT version to C4/A4/R1.

2013-06-19  Werner Koch  <wk@gnupg.org>

	Changes to support W64.
	+ commit 6ba18ca32c8669fa76cc10de3382f78212ca51a8
	* configure.ac (have_dosish_system): Set for W64.
	* src/assuan-defs.h (SOCKET2HANDLE, HANDLE2SOCKET): Add versions for
	W64.
	* src/assuan-handler.c (assuan_command_parse_fd) [W64]: Use strtoull
	to parse an FD.

2013-06-17  Werner Koch  <wk@gnupg.org>

	Add hack to have different names for 64 bit Windows DLLs.
	+ commit f88eb9e98f491b503f46c7d995c9651f1e46b9e9
	* ltmain.sh: Prefix the SO number for W64 with a "6".

	Support building for w64.
	+ commit 61f5ca41e9d44bdd266cb4e91abe45fc5f2ddf3e


2013-02-22  Werner Koch  <wk@gnupg.org>

	Release version 2.1.0.
	+ commit 7d227acff329a921f76cd4c391d7cbae40115672
	* configure.ac: Bump LT version to C4/A4/R0.

	Add assuan_check_version and ASSUAN_VERSION_NUMBER.
	+ commit ab2e01598446120dac09e49c63a5c8fc27a1bc32
	* src/assuan.c (assuan_check_version): New.
	(digitp, parse_version_number, parse_version_string)
	(compare_versions): New.  Taken from libksba.
	* configure.ac (VERSION_NUMBER): New ac_subst.
	* src/Makefile.am (assuan.h): Pass VERSION and VERSION_NUMBER to
	mkheader.
	* src/assuan.h.in (ASSUAN_VERSION, ASSUAN_VERSION_NUMBER): New macros.
	(assuan_check_version): New prototype.
	* src/libassuan.def, src/libassuan.vers: Add assuan_check_version.
	* src/mkheader.c (write_special, main): Support version and
	version_number.
	* tests/version.c: New.
	* tests/Makefile.am (TESTS): Add version.

	w32: Fix header inclusion order for newer toolchain.
	+ commit a4d64a06f9b80ed58cd8f9ca4a68393733c36b1f
	* src/system-w32.c: Do not include windows.h here.

	Beautify the BUILD_TIMESTAMP and put it into the binary.
	+ commit c6c80414201a1c58e24220ff9ea214c7164ccc8d
	* configure.ac (BUILD_TIMESTAMP): Use an ISO date string on all
	platforms and ac_define it.
	* src/sysutils.c (_assuan_sysutils_blurb): But revision and build date
	into the binary.

	w32ce: Adjust to changed API and make it build again.
	+ commit 3eec7a1f67dc1af2199d91ee017be26b24c389b6
	* src/system-w32ce.c (__assuan_write, __assuan_recvmsg)
	(__assuan_sendmsg, __assuan_waitpid): Make functions global.
	* tests/ce-server.c: Fix syntax error (s/#else/#endif)

	w32: Allow overriding a toolchain via ~/.gnupg-autogen.rc.
	+ commit e321c69006a12577e41408a2e1ea726a19b75c00
	* autogen.sh (build-w32): Include {amd64,w32_toolprefixes).

	Modernize release version management.
	+ commit 807d9cd2a27c62ab6c91b9ec1dd11675ec0382d6
	* configure.ac: Update to modern git version checking.  Remove svn
	support.
	* src/versioninfo.rc.in: Update copyright years.

	Fix --with-{lib,}gpg-error-prefix.
	+ commit 97ce28a430129ce997783c6196ccfe737f5b3007
	* m4/gpg-error.m4: Update from current gpg-error git.

	Update helper scripts.
	+ commit 0884e91324232b4d7dfdc8fad0dea9948519845b
	* compile, config.guess, config.rpath, config.sub, depcomp,
	* install-sh, mkinstalldirs: Update to current versions from gnulib.

2013-02-07  Werner Koch  <wk@gnupg.org>

	Make assuan_transact more robust against inquiry errors.
	+ commit f17039b1ece8a8b2c56766f86b002536c7599699
	* src/client.c (assuan_transact): Send an CAN after an error return
	from the inquiry callback.

2012-11-26  Ben Kibbey  <bjk@luxsci.net>

	Check for getpeerucred().
	+ commit cd96daf5a4ddb4a7e9e373220a7aaead0a97c8cf
	* configure.ac: check for getpeerucred() which (Open)Solaris/SunOS
	uses.
	* src/assuan-socket-server.c (accept_connection_bottom): make use
	of getpeerucred().

2012-11-21  Ben Kibbey  <bjk@luxsci.net>

	Support LOCAL_PEEREID (NetBSD) and getpeereid() (FreeBSD)
	+ commit 76ea68c2a77cafe2424fe6bc97403c9d9a6b1e95
	* configure.ac: check for LOCAL_PEEREID and getpeereid().
	* src/assuan-socket-server.c (accept_connection_bottom): make use of
	LOCAL_PEEREID and getpeereid().

2012-11-16  Werner Koch  <wk@gnupg.org>

	Improve parsing of the GIT revision number.
	+ commit 76ceeb3582bba138227bf76167b451ee017d38fc
	* configure.ac (mmm4_revision): Use git rev-parse.  Print version
	information at the end of a configure run.

	Fix non-portable use of chmod in autogen.sh.
	+ commit e6688eebc03fda7c8c81789c24ad13c06f648a9f
	* autogen.sh: Remove option -c from chmod.

2012-06-05  W. Trevor King  <wking@tremily.us>

	src/assuan-handler.c: add help strings for standard commands.
	+ commit ca3f8e4b5bbe5549bd7804cf3bff36be21db1b82


2012-04-20  W. Trevor King  <wking@tremily.us>

	Update example code for pipe server.
	+ commit 7cf99d04d864fb308159fb928057f59eb4e5a110
	* doc/assuan.texi: Fix server example code to use assuan_new.

	Wrap reference to END with @code.
	+ commit f40f8033b21bad8801b43676b486dab80c532397
	* doc/assuan.texi: Wrap reference to END with @code{}.

2012-04-20  Werner Koch  <wk@gnupg.org>

	State new contribution rules.
	+ commit 861d19e028af70c7009640efc98eb485fff546d7
	* doc/DCO: New.
	* doc/HACKING: Doument new rules.  Give examples for commit logs.

2012-01-25  Werner Koch  <wk@gnupg.org>

	Make new functions also visible on non-W32.
	+ commit 5c00c7cc2901a879927a5756e1bb7ecf49439ebc
	* src/system-posix.c (__assuan_read, __assuan_write, __assuan_recvmsg)
	(__assuan_sendmsg, __assuan_waitpid): Make functions global.
	* src/libassuan.vers: Add above functions.
	* configure.ac: Set version to 2.1.0-git.

	Require gitlog-to-changelog to be installed.
	+ commit dbfbc908121afd1cf3177249d9378fc787a9cff7
	* Makefile.am (GITLOG_TO_CHANGELOG): New.
	(gen-ChangeLog): Use installed version of gitlog-to-changelog.
	* build-aux/gitlog-to-changelog: Remove from repo.

2012-01-24  Marcus Brinkmann  <marcus.brinkmann@ruhr-uni-bochum.de>

	Fix npth port file handle use.
	+ commit cef55142f2552538714f8296479f58a63d14a239
	* assuan.h.in (ASSUAN_SYSTEM_NPTH_IMPL): Use npth_unprotect and
	npth_protect with actual assuan functions instead of npth wrappers.
	* libassuan.def: Add __assuan_read, __assuan_write, __assuan_sendmsg,
	__assuan_recvmsg, __assuan_waitpid exports.
	* system-w32.c (__assuan_read, __assuan_write, __assuan_sendmsg,
	__assuan_recvmsg, __assuan_waitpid): Make non-static.

2012-01-03  Marcus Brinkmann  <marcus.brinkmann@ruhr-uni-bochum.de>

	Make assuan portable to NPTH.
	+ commit e23e6f2bd49f415f4fdca013e4f61e1b17995a51


2011-12-20  Werner Koch  <wk@gnupg.org>

	Post release version number update.
	+ commit 6ff1083166366b9d627e5e909f245cfb119b27a7


	Release version 2.0.3.
	+ commit 3ebe00d6854f110301a2742041d6d5c3e95d8e6b
	* configure.ac: Bump LT version to C3/A3/R0.

	Update gitlog-to-changelog to support --tear-off.
	+ commit 132c70fe697346a1c9f75d51572835f6d4951b3b


2011-12-13  Werner Koch  <wk@gnupg.org>

	Fix assuan_get_pid for pipe servers.
	+ commit edbe8fdcea1a2c05999861f58d5f67d2e76610e0
	At some point in the past we introduced a regression in that the
	client of a pipe server received its own pid and not the pid of
	the server.

	* src/assuan-pipe-connect.c (struct at_pipe_fork)
	(struct at_socketpair_fork): Add PARENT_PID.
	(at_pipe_fork_cb, at_socketpair_fork): Use PARENT_PID instead of getpid.
	(pipe_connect, socketpair_connect): Set PARENT_PID.

	vasprintf.c: Improve test code.
	+ commit ff9a8c2e64ea2345f2ebe85a527b7c43033ba53e
	* src/vasprintf.c (checkit): Set flag for a test failure.
	(main): Return error on any failure.

2011-12-01  Werner Koch  <wk@gnupg.org>

	Generate the ChangeLog from commit logs.
	+ commit 165a57d29d2ac84159aa48b171b6098c629bc798
	* build-aux/gitlog-to-changelog: New script.  Taken from gnulib.
	* build-aux/git-log-fix: New file.
	* build-aux/git-log-footer: New file.
	* doc/HACKING: New file.
	* ChangeLog: New file.
	* Makefile.am (EXTRA_DIST): Add new files.
	(gen-ChangeLog): New.
	(dist-hook): Run gen-ChangeLog.
	* autogen.sh: Install commit-msg hook for git.

	Rename all ChangeLog files to ChangeLog-2011.

2011-12-01  Werner Koch  <wk@gnupg.org>

	NB: Changes done before December 1st, 2011 are described in
	per directory files named ChangeLog-2011.  See doc/HACKING for
	details.

        -----
	Copyright (C) 2011 Free Software Foundation, Inc.

	Copying and distribution of this file and/or the original GIT
	commit log messages, with or without modification, are
	permitted provided the copyright notice and this notice are
	preserved.
